Prev |  | Next

## 2. Running Gimp

Most often, you start Gimp either by clicking on an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of the Gimp installed, you may need to type gimp-2.2 to get the latest version. You can, if you want, give a list of image files on the command line after the program name, and they will automatically be opened by Gimp as it starts. It is also possible, though, to open files from within Gimp once it is running.

In most operating systems, you can set things up so that various types of image files are "associated" with Gimp, and cause it to start automatically when icons for them are double-clicked.

| Tip

If you want to cause a certain file type to automatically open in Gimp, you should associate it with "gimp-remote" rather than with "gimp". The gimp-remote program is an auxiliary that comes with gimp. If gimp is not already running on the system when gimp-remote is executed, it is started and the image given as argument to gimp-remote is loaded. If gimp is already running, though, the image is simply loaded into the already-running program.

### Command Line Arguments

Ordinarily you don't need to give any arguments when starting Gimp, but here is a list of some that may at one time or anther be useful. This is not a complete list; on Unix systems you can get a complete list by running `man gimp` in a terminal window.

-h, --help

  Display a list of all commandline options.

-v, --version

  Print the version of Gimp being used, and exit.

--verbose

  Show detailed startup messages.

-d, --no-data

  Do not load patterns, gradients, palettes, or brushes. Often useful in non-interactive situations where startup time is to be minimized.

--display `display`

  Use the designated X display (does not apply to Gimp on Microsoft Windows).

-s, --no-splash

  Do not show the splash screen while starting.

--session `name`

  Use a different sessionrc for this GIMP session. The given session name is appended to the default sessionrc filename.

-g, --gimprc `gimprc`

  Use an alternative gimprc instead of the default one. The "gimprc" file contains a record of your preferences. Useful in cases where plugins paths or machine specs may be different.

-c, --console-messages

  Do not popup dialog boxes on errors or warnings. Print the messages on the console instead.

-b, --batch `commands`

  Execute the set of commands non-interactively. The set of commands is typically in the form of a script that can be executed by one of the GIMP scripting extensions. When commands is `-`, the commands are read from standard input.

Prev | Up | Next
| Home |